module Gh
  module Trending
    # This class represents a trending developer in the github's trending
    # developers page.
    class Developer
      attr_reader :full_name, :user_profile_url, :hot_repository_url

      def initialize(
        full_name: '',
        user_profile_url: '',
        hot_repository_url: ''
      )
        @full_name = full_name
        @user_profile_url = user_profile_url
        @hot_repository_url = hot_repository_url
      end

      def to_h
        {
          full_name: full_name,
          user_profile_url: user_profile_url,
          hot_repository_url: hot_repository_url
        }
      end
    end
  end
end
