require 'gh_trending/parsers/parser'
require 'gh_trending/parsers/repos_parser'
require 'gh_trending/parsers/parser_arguments'
require 'gh_trending/repository'
require 'gh_trending/parsers/html_changed_error'

module Gh
  module Trending
    # Returns an array of representation of the trending repositories in github.
    class Repositories
      def self.get(**args)
        parser = Gh::Trending::Parsers::ReposParser.new
        parse_args = Gh::Trending::Parsers::ParserArguments.new(**args)
        parser.parse(parse_args).to_a.compact
      end
    end
  end
end
