require 'gh_trending/parsers/parser'
require 'gh_trending/parsers/developers_parser'
require 'gh_trending/parsers/parser_arguments'
require 'gh_trending/developer'

module Gh
  module Trending
    # Returns an array of representation of the trending developers in github.
    class Developers
      def self.get(**args)
        parser = Gh::Trending::Parsers::DevelopersParser.new
        parse_args = Gh::Trending::Parsers::ParserArguments.new(**args)
        parser.parse(parse_args).to_a.compact
      end
    end
  end
end
